package com.jay.monitor.data.server.config.props;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.server.enums.AlertMsgEnums;
import com.jay.monitor.data.server.models.config.AlertConfigModel;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.HashMap;
import java.util.Map;

/**
 * @Module 属性配置
 * @Description 告警配置
 * @Author liukaixiong
 * @Date 2020/12/22 16:09
 */
@ConfigurationProperties(prefix = "spring.alert")
public class AlertProperties {
    /**
     * 是否开启告警推送
     */
    private boolean isEnable = true;

    /**
     * 推送类型
     */
    private AlertMsgEnums alertType;

    /**
     * 推送的第三方URL
     */
    private String url;

    private Map<MsgTypeEnums, AlertConfigModel> alertConfigMap = new HashMap<>();

    public boolean isEnable() {
        return isEnable;
    }

    public void setEnable(boolean enable) {
        isEnable = enable;
    }

    public AlertMsgEnums getAlertType() {
        return alertType;
    }

    public void setAlertType(AlertMsgEnums alertType) {
        this.alertType = alertType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Map<MsgTypeEnums, AlertConfigModel> getAlertConfigMap() {
        return alertConfigMap;
    }

    public void setAlertConfigMap(Map<MsgTypeEnums, AlertConfigModel> alertConfigMap) {
        this.alertConfigMap = alertConfigMap;
    }
}

